--[[ ---------------------------------------------------------------------------
Created:		7/25/2010 3:32:29 AM
Last Modified:	2010-08-09T23:38:30Z
Author:			orgevo
Version:		v1.3a

Options:	Contains all static options data for the addon.

AtlasLoot_AdvancedSearch is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

AtlasLoot_AdvancedSearch is distributed WITHOUT ANY WARRANTY; without even the 
implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with AtlasLoot_AdvancedSearch.	If not, see <http://www.gnu.org/licenses/>.

----------------------------------------------------------------------------- ]]

local ADDON_TAG					= "AtlasLootAdvancedSearch"
local AtlasLootAdvancedSearch	= LibStub("AceAddon-3.0"):GetAddon(ADDON_TAG);
local alas_addon				= AtlasLootAdvancedSearch;
local al_addon					= AtlasLoot;

-- localization
local L						= LibStub("AceLocale-3.0"):GetLocale(ADDON_TAG, true)

--[[=======================================================================
	Perisistent options table
========================================================================--]]
alas_addon.options = {
	type = "group",
	handler = alas_addon,
	args = {
		toggle = {
			order = 1,
			name = "Enable/Disable Advanced Search",
			type = "toggle",
			get = function(info)
				return alas_addon:IsAdvancedSearchEnabled()
			end,
			set = function(info, newValue)
				alas_addon:ToggleAdvancedSearch(newValue);
			end,
		},
		verbose = {
			order = 20,
			name = L["OPT_TIMING_INFO_NAME"],
			desc = L["OPT_TIMING_INFO_DESC"],
			type = "toggle",
			get = function(info)
				return alas_addon:IsVerboseOutputEnabled()
			end,
			set = function(info, newValue)
				alas_addon:ToggleVerboseOutput(newValue)
			end,
		},
		searchModules = {
			order = 50,
			name = "Search Modules",			--@todo localize
			type = "multiselect",
			values = "ACE_GetSearchModuleOptionsTable",
			get = function(info, moduleID)
				return alas_addon:IsSearcherEnabled(moduleID)
			end,
			set = function(info, moduleID, newValue)
				alas_addon:ToggleSearchModule(moduleID, newValue)
			end,
			hidden = true,
			cmdHidden = true,
		},
	}
}

